<?php
/**
 * Jetpack Compatibility File
 * See: http://jetpack.me/
 *
 * @package custom-blog
 */


/**

 * Add theme support for Infinite Scroll.

 * See: http://jetpack.me/support/infinite-scroll/

 */
function custom_jetpack_setup() {
	add_theme_support( 'infinite-scroll', array(
		'container' => 'main',
		'footer'    => 'page',
	) );

}

add_action( 'after_setup_theme', 'custom_jetpack_setup' );


/**
 * Add support for the Featured Content Plugin
 *
 * @since Superhero 1.0
 */
function superhero_featured_content_init() {
	add_theme_support( 'featured-content', array(
		'featured_content_filter' => 'superhero_get_featured_posts',
		'description'             => __( 'The featured content section displays on the front page above the first post in the content area.', 'superhero' ),
		'max_posts'               => 10,
	) );
}
add_action( 'after_setup_theme', 'superhero_featured_content_init' );


/**
 * Featured Posts
 *
 * @since Superhero 1.0
 */
function superhero_has_multiple_featured_posts() {
	$featured_posts = apply_filters( 'superhero_get_featured_posts', array() );
	return ( is_array( $featured_posts ) && 1 < count( $featured_posts ) );
}

function superhero_get_featured_posts() {
	return apply_filters( 'superhero_get_featured_posts', false );
}
